import { cookiePolicy } from './shared/cookie-policy';
import { auctionOverview } from './auctions/public-auction-overview';
import { botStar } from './chatbot/botstar';

/**
 * main entrypoint which initializes all other scripts
 */
document.addEventListener('DOMContentLoaded', (event) => {
  // shared, should be initialized on every page
  botStar.init();
  cookiePolicy.init();

  // initializing auction overview only for root-page
  if (location.pathname === '/') {
    auctionOverview.init();
    auctionOverview.initScrollListeners();
  }
});
